* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: Arial, Helvetica, sans-serif;
}

/* Estilos para la barra de scroll */
::-webkit-scrollbar {
    width: 10px;
    height: 2px;
}

::-webkit-scrollbar-track {
    background: whitesmoke;
    border-radius: 10px;
}

::-webkit-scrollbar-thumb {
    background: gray;
    border-radius: 10px;
}

::-webkit-scrollbar-thumb:hover {
    background: teal;
}

/* Estilos para la imagen de fondo */
.SISMA {
    background-image: url(images/2.png);
    background-size: cover;
}

@media (max-width: 768px) {
    .SISMA {
        background-size: contain;
        background-position: center;
    }
}

nav {
    position: relative;
    width: 90%;
    max-width: 900px;
    margin: auto;
    background-color: teal;
    font-size: 20px;
    margin-top: -40px;
    z-index: 10;
}

@media screen and (max-width: 768px) {
    nav {
        display: none;
    }
}

.menu-horizontal {
    list-style: none;
    display: flex;
    justify-content: space-around;
    flex-wrap: wrap;
    /* Permitir que los elementos se envuelvan */
}

.menu-horizontal>li>a {
    position: relative;
    display: block;
    padding: 15px 20px;
    /* Ajusta el padding según sea necesario */
    color: white;
    text-decoration: none;
}

.menu-horizontal>li:hover {
    background-color: rgb(14, 179, 179);
}

.menu-vertical {
    position: absolute;
    display: none;
    list-style: none;
    width: 200px;
    background-color: #2b2e31;
    text-align: center;
}

.menu-horizontal li:hover .menu-vertical {
    display: block;
}

.menu-vertical li:hover {
    background-color: rgba(0, 0, 0, 0.2);
    border-radius: 0;
}

.menu-vertical>li>a {
    display: block;
    color: white;
    padding: 15px 15px 15px 20px;
    text-decoration: none;
}

/* ... (resto de los estilos del menú) ... */

body {
    display: flex;
    flex-direction: column;
    min-height: 100vh;
}

main {
    flex: 1;
    padding: 20px;
}

footer {
    background-color: #2b2e31;
    color: white;
    text-align: center;
    padding: 3px;
    margin-top: 15px;
}

.Inicial {
    background-color: teal;
    text-align: center;
}

.pc {
    background-color: whitesmoke;
    color: aliceblue;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.movil {
    background-color: whitesmoke;
    color: aliceblue;
    display: none;
    justify-content: space-between;
    align-items: center;
}

@media screen and (max-width: 768px) {
    .pc {
        display: none;
    }

    .movil {
        display: flex;
    }
}

.s {
    color: black;
    overflow-y: auto;
    margin-top: 30px;
}

.S {
    position: fixed;
    color: black;
    font-size: 250%;
    font-family: 'Times New Roman', Times, serif;
    font-style: italic;
    top: 18%;
    left: 50%;
    transform: translateX(-50%);
}

@media screen and (max-width: 1366px) {
    .S {
        top: 15%;
    }
}

@media screen and (max-width: 768px) {
    .S {
        display: none;
    }
}

.m {
    display: none;
}

@media screen and (max-width: 768px) {
    .m {
        display: flex;
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        align-items: center;
        justify-content: center;
        color: black;
        font-size: 160%;
        font-family: 'Times New Roman', Times, serif;
        font-style: italic;
        text-align: center;
    }
}

/* Estilos para el slider */

.slider-frame {

    width: 100%;

    max-width: 1200px;

    height: auto;

    margin: 0 auto;

    overflow: hidden;

    border-radius: 5%;

}



.slider-frame ul {

    display: flex;

    padding: 0;

    width: 400%;

    animation: slide 10s infinite alternate ease-in-out;

}



.slider-frame li {

    width: 100%;

    list-style: none;

}



.slider-frame img {

    width: 100%;

    height: auto;

    object-fit: cover;

}



@keyframes slide {

    0% {

        margin-left: 0;

    }



    20% {

        margin-left: 0;

    }



    25% {

        margin-left: -100%;

    }



    45% {

        margin-left: -100%;

    }



    50% {

        margin-left: -200%;

    }



    70% {

        margin-left: -200%;

    }



    75% {

        margin-left: -300%;

    }



    100% {

        margin-left: -300%;

    }

}



@media (max-width: 768px) {

    .slider-frame {

        margin-top: 0px;

        border-radius: 5%;

    }



    .slider-frame img {

        object-fit: cover;

    }

}

.Cajatexto {
    margin-top: 12px;
    font-size: 1.2em;
    line-height: 1.8;
    color: #34495e;
    text-align: justify;
    padding: 10px 40px;
    border-left: 5px solid teal;
    background-color: whitesmoke;
    border-radius: 5px;
}

@media screen and (max-width: 768px) {
    .Cajatexto {
        padding: 10px 20px;
    }
}

.hamburguesa {
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: teal;
    padding: 10px;
    margin-top: 0;
    width: 100%;

}

@media screen and (min-width: 768px) {
    .hamburguesa {
        display: none;
    }
}

/* ... (resto de los estilos del menú hamburguesa) ... */

.menu-icon {
    display: none;
    flex-direction: column;
    cursor: pointer;
}

.bar {
    width: 30px;
    height: 4px;
    background-color: whitesmoke;
    margin: 6px 0;
}

.nav-links {
    display: none;
    list-style-type: none;
    padding: 0;
    position: absolute;
    top: 60px;
    left: -200px;
    width: 200px;
    background-color: #1a1d20;
    transition: left 0.3s ease;
}

.nav-links li {
    margin: 10px 0;
}

.nav-links a {
    text-decoration: none;
    color: white;
    font-size: 18px;
}

@media screen and (max-width: 768px) {
    .menu-icon {
        display: flex;
        /* El icono de menú se muestra en pantallas pequeñas */
    }

    .nav-links {
        display: flex;
        flex-direction: column;
        position: absolute;
        top: 60px;
        left: -200px;
        /* Inicialmente fuera de la pantalla a la izquierda */
        width: 200px;
        background-color: #1a1d20;
        padding: 20px;
    }

    .nav-links.active {
        left: 0;
        /* Desliza el menú hacia la izquierda cuando se activa */
    }

    .nav-links li {
        margin: 10px 0;
    }

    /* Estilo para el submenú */
    .dropdown {
        position: relative;
    }

    .dropdown-menu {
        display: none;
        list-style-type: none;
        position: absolute;
        top: 0;
        left: 100%;
        /* El submenú aparecerá a la derecha del item principal */
        background-color: #2b2e31;
        width: 200px;
        padding: 10px;
        transition: left 0.3s ease;
        /* Animación para el deslizamiento del submenú */
    }

    .dropdown.active .dropdown-menu {
        display: block;
        /* Muestra el submenú cuando se activa */
        left: 100%;
        /* Mueve el submenú desde la derecha */
    }

    .dropdown-menu li {
        margin: 10px 0;
    }

    .dropdown-menu a {
        text-decoration: none;
        color: white;
        font-size: 16px;
    }
}